import React from "react";
import { Link } from "react-router-dom";

import "./PageNotFound.scss";

const PageNotFound = (props) => {
  const { location } = props;
  const url = location && location.pathname;

  return (
    <div className="err404" style={{ padding: "0 50px 10px" }}>
      <h1>404 - Page Not Found</h1>

      <p>
        <br />
        Oops! The page you are looking for isn't here.
      </p>
      <p style={{ color: "silver" }}>404 error on file "{url}".</p>

      <p>
        <br />
        <Link className="btn btn-primary" to="/">
          Back to Home Page
        </Link>
      </p>
      <div class="circles404">
        <div class="left404">
          <p>I broke it</p>
          <div class="spot404">
            <p>404 Page</p>
          </div>
        </div>
        <div class="right404">
          <p>You can't type</p>
        </div>
      </div>
    </div>
  );
};

export default PageNotFound;
